Version 1.8.2.7 issues? my system stopped working

An evolving, supported alternative to Rovi
Forum rules
★ Download the latest EPG123 here: https://garyan2.github.io/ <> Setup guide here: https://garyan2.github.io/install.html
earledee

Posts: 21
Joined: Sun Nov 17, 2013 3:53 pm
Location:

HTPC Specs: Show details

Version 1.8.2.7 issues? my system stopped working

#1

Post by earledee » Wed Nov 29, 2023 11:29 pm

Greetings. I attempted to update to the latest EPG123 and got a prompt upon install that asked me "The minimum .NET Framework is not installed. Do you wish to install .NET Framework 4.6.2 Client software now?" I clicked yes and the program now won't load. I now get this error for EPG123_gui.exe - .NET framework Initialization Error....It states:

"Please set registry key HKLM\Software\Microsoft\.NETFramework\InstallRoot to point to the .NET Framewrok install location".

I don't recall ever having this issue. I've been using this setup for about 10 yrs or more. Can anyone steer me in the right direction to get my TV's working. When I try to view WMC, I get a brief picture then it goes blue with "Display driver error".

I looked for an earlier system restore point and there is not one that I can use with an earlier date. I know I created an earlier restore point awhile ago but I can't see it.


Any help is greatly appreciated.

User avatar
garyan2

Posts: 7510
Joined: Fri Nov 27, 2015 7:23 pm
Location:

HTPC Specs: Show details

#2

Post by garyan2 » Wed Nov 29, 2023 11:49 pm

Is this maybe the missing SHA2 support for installing 4.6.2? You need to make sure Win7 is SP1 and has the KB4474419 installed to support SHA2 to successfully install .NET 4.6.2.
- Gary
Keeping WMC alive beyond January 2020. https://garyan2.github.io

earledee

Posts: 21
Joined: Sun Nov 17, 2013 3:53 pm
Location:

HTPC Specs: Show details

#3

Post by earledee » Thu Nov 30, 2023 12:55 am

Hello. Thank you for responding. I don't know what that is SHA2 support. I am certain windows is SP1. I just viewed and it's on SP1. I reviewed my update history and I see 2019-03 security update for windows 7 for x64 based systems (KB4474419) status successful.

earledee

Posts: 21
Joined: Sun Nov 17, 2013 3:53 pm
Location:

HTPC Specs: Show details

#4

Post by earledee » Thu Nov 30, 2023 1:18 am

getting severe pressure to get cable boxes.. system has been solid for years with an occasional hiccup requiring a restart of WMC. its been reliable. Please get me back running. I am lost with what happened. Was I supposed to click yes to installing .NET 4.6.2 ?

User avatar
garyan2

Posts: 7510
Joined: Fri Nov 27, 2015 7:23 pm
Location:

HTPC Specs: Show details

#5

Post by garyan2 » Thu Nov 30, 2023 1:37 am

Yes, you need at least .NET Framework 4.6.2 installed to run EPG123. Does Windows Update still work for you? If so, there should be an option to install .NET Framework 4.8. You can go that route if trying to install 4.6.2 from the EPG123 installer isn't working for you.
- Gary
Keeping WMC alive beyond January 2020. https://garyan2.github.io

earledee

Posts: 21
Joined: Sun Nov 17, 2013 3:53 pm
Location:

HTPC Specs: Show details

#6

Post by earledee » Thu Nov 30, 2023 3:44 am

system has been running fine for years. something went weird on the HTPC I guess. I will check to see if I can install 4.8. Thanks for working with me. I'll keep you posted soon.

stuartm

Posts: 734
Joined: Mon Nov 05, 2012 8:05 pm
Location: Longmont, CO

HTPC Specs: Show details

#7

Post by stuartm » Thu Nov 30, 2023 3:59 am

If you are one of those like me who long ago shut off Windows Update you can find a standalone .NET 4.8 installer here: https://support.microsoft.com/en-us/top ... 3c3e7495e0

earledee

Posts: 21
Joined: Sun Nov 17, 2013 3:53 pm
Location:

HTPC Specs: Show details

#8

Post by earledee » Thu Nov 30, 2023 4:04 am

Thank you very much !! I haven't check yet but this will be helpful.

earledee

Posts: 21
Joined: Sun Nov 17, 2013 3:53 pm
Location:

HTPC Specs: Show details

#9

Post by earledee » Thu Nov 30, 2023 4:12 am

I believe I did shut off Windows update in fear of messing up Win 7, but somehow an update must have occurred ??. I have never had an issue installing EPG123 updates until now. I'll look into trying to get TV running again tomorrow. Thanks again guys.

User avatar
garyan2

Posts: 7510
Joined: Fri Nov 27, 2015 7:23 pm
Location:

HTPC Specs: Show details

#10

Post by garyan2 » Thu Nov 30, 2023 4:43 am

Older versions of EPG123 did not require .NET 4.6.2. Up until around v1.7.1, it only required .NET 4.0 which comes already installed on Win7. That is why to run the later versions you need to update the .NET Framework in order for it to work.
- Gary
Keeping WMC alive beyond January 2020. https://garyan2.github.io

earledee

Posts: 21
Joined: Sun Nov 17, 2013 3:53 pm
Location:

HTPC Specs: Show details

#11

Post by earledee » Thu Nov 30, 2023 4:54 pm

Hello all, I am unable to successfully load NET 4.8 using the link provided. I keep getting the following error:


epg123_gui.exe - .NET Framework Initialization Error


Please set registry key

HKLM\Software\Microsoft\.NETFramework\InstallRoot to point to the .NET Framework install location.

I don't know how to do this. Can anyone guide me how to do this.

User avatar
garyan2

Posts: 7510
Joined: Fri Nov 27, 2015 7:23 pm
Location:

HTPC Specs: Show details

#12

Post by garyan2 » Thu Nov 30, 2023 7:50 pm

What .NET Framework do you actually have installed currently? If you can successfully install 4.6.2 or newer, epg123 will not start and you will get that initialization error.
programs.png
You do not have the required permissions to view the files attached to this post.
- Gary
Keeping WMC alive beyond January 2020. https://garyan2.github.io

earledee

Posts: 21
Joined: Sun Nov 17, 2013 3:53 pm
Location:

HTPC Specs: Show details

#13

Post by earledee » Thu Nov 30, 2023 8:43 pm

Interesting... I pulled up programs and features and I see Microsoft .NET Framework 4.8 Installed on 9/6/2019 version 4.8.03761

earledee

Posts: 21
Joined: Sun Nov 17, 2013 3:53 pm
Location:

HTPC Specs: Show details

#14

Post by earledee » Thu Nov 30, 2023 8:47 pm

Gary, I also see that EPG123 was installed on 11/28/2023 4.94MB version 1.8.2.7

User avatar
garyan2

Posts: 7510
Joined: Fri Nov 27, 2015 7:23 pm
Location:

HTPC Specs: Show details

#15

Post by garyan2 » Thu Nov 30, 2023 8:49 pm

That is interesting. Click on it and then the [Uninstall/Change] button. You should have an option to repair. After that is done, reboot the machine and try to open epg123 then.
- Gary
Keeping WMC alive beyond January 2020. https://garyan2.github.io

earledee

Posts: 21
Joined: Sun Nov 17, 2013 3:53 pm
Location:

HTPC Specs: Show details

#16

Post by earledee » Thu Nov 30, 2023 8:55 pm

After attempting to click EPG123 1.8.2.7 I get a msg that reads: " An error occurred while trying to uninstall EPG123 1.8.2.7. It may have been already uninstalled. Would you like to remove EPG123 from the Programs and Features list? "

User avatar
garyan2

Posts: 7510
Joined: Fri Nov 27, 2015 7:23 pm
Location:

HTPC Specs: Show details

#17

Post by garyan2 » Thu Nov 30, 2023 9:12 pm

Sorry, I meant trying to repair the .NET Framework install. One step at a time.
- Gary
Keeping WMC alive beyond January 2020. https://garyan2.github.io

earledee

Posts: 21
Joined: Sun Nov 17, 2013 3:53 pm
Location:

HTPC Specs: Show details

#18

Post by earledee » Thu Nov 30, 2023 9:32 pm

no prob.... but there is no option for repair

earledee

Posts: 21
Joined: Sun Nov 17, 2013 3:53 pm
Location:

HTPC Specs: Show details

#19

Post by earledee » Thu Nov 30, 2023 9:36 pm

i see that option in other files but not epg

earledee

Posts: 21
Joined: Sun Nov 17, 2013 3:53 pm
Location:

HTPC Specs: Show details

#20

Post by earledee » Thu Nov 30, 2023 9:39 pm

i see the ability to repair the .NET 4.8 to its original state. i did not do it

Post Reply